#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(hid_sensor_read_poll_value, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_read_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_samp_freq_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_read_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_write_raw_hyst_rel_value, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_format_scale, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_convert_timestamp, "", "IIO_HID");
KSYMTAB_FUNC(hid_sensor_get_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_set_report_latency, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_batch_mode_supported, "", "IIO_HID_ATTRIBUTES");
KSYMTAB_FUNC(hid_sensor_parse_common_attributes, "", "IIO_HID");

SYMBOL_CRC(hid_sensor_read_poll_value, 0xe6189bb8, "");
SYMBOL_CRC(hid_sensor_read_samp_freq_value, 0xcafa1fd1, "");
SYMBOL_CRC(hid_sensor_write_samp_freq_value, 0x3e809563, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_value, 0x434efb00, "");
SYMBOL_CRC(hid_sensor_read_raw_hyst_rel_value, 0x5c70a684, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_value, 0x6004c5c2, "");
SYMBOL_CRC(hid_sensor_write_raw_hyst_rel_value, 0xd33fde33, "");
SYMBOL_CRC(hid_sensor_format_scale, 0x7f7621ec, "");
SYMBOL_CRC(hid_sensor_convert_timestamp, 0xe24d3c99, "");
SYMBOL_CRC(hid_sensor_get_report_latency, 0x0cffae9d, "");
SYMBOL_CRC(hid_sensor_set_report_latency, 0x785af5e3, "");
SYMBOL_CRC(hid_sensor_batch_mode_supported, 0xae665c94, "");
SYMBOL_CRC(hid_sensor_parse_common_attributes, 0xdd51160a, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x5b61f0b5, "__dynamic_dev_dbg" },
	{ 0xe3833005, "sensor_hub_set_feature" },
	{ 0x1af267f8, "int_pow" },
	{ 0x9dcd057f, "sensor_hub_input_get_attribute_info" },
	{ 0xd98556c5, "sensor_hub_get_feature" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "hid-sensor-hub");

